Bug 153003 - [panic] Cant boot PCBSD-CURRENT-20101204x86CD.iso Dec06 17:01
Summary: [panic] Cant boot PCBSD-CURRENT-20101204x86CD.iso Dec06 17:01
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: i386 (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-i386 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-10 20:30 UTC by Malcolm Green
Modified: 2018-01-03 05:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Malcolm Green 2010-12-10 20:30:14 UTC
Machine
K7T266 Pro2 Ver 2.0 1GB @100MHZ. Disk formated as ffs
Works perfectly with NetBSD5.1 from disc.

Trying PCBSD9 snapshot
Boot from CD  -  PCBSD-CURRENT-20101204x86-CD.iso Dec 06 17:01 682372K
( MD5 checked .. OK )
Select option 3 ( safe load )

blah
blah

Creating and/or trimming log files.
Starting syslogd
sysctl:(malloc) /usr/pcbsd-build90/fbsd-source/9.0/lib/libc/stdlib/malloc.c:527
7: Failed assertion: "small_size2bin[i] == binind"
panic: not suspended thread 0xc62a3870
cpuid=0
KDB: enter :panic
[ thread pid 1966 tid 100076 ]
Stopped at  kdb_enter+0x3a : movl $0,Kdb_why
db>

How-To-Repeat: Always happens.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-12-10 22:59:38 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-i386

reclassify.
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2010-12-11 21:58:53 UTC
Responsible Changed
From-To: freebsd-i386->gavin

Grab
Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2010-12-29 11:13:11 UTC
State Changed
From-To: open->feedback

Hi, 

I think I've got to the bottom of this.  I suspect that the PC-BSD 9.x 
snapshot was built at an unfortunate time - I suspectyou are suffering 
from a bug that was intriduced into FreeBSD in SVN r215865, and fixed 
the following day, in r216012.  Is there any way you are able to 
verify this?  I'm not a PC-BSD user myself so don't know if you can, but 
if you could apply the change at 
http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/i386/i386/machdep.c.diff?r1=1.713;r2=1.714 
and recompile the kernel, then I believe that will fix the problem you 
see. 

I shall try to contact the PC-BSD folk and point this out, hopefully they 
will be able to con firm if the kernel was built with code from between 
those two revisions.  I don't know if there are any plans to release a 
new snapshot, but this bug will be fixed in any future ones.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:48 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped